Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.service.exporter.support
Class ExportContextClassLoader

    java.lang.Object
      org.springframework.core.enums.AbstractLabeledEnum
          org.springframework.core.enums.StaticLabeledEnum
              org.eclipse.gemini.blueprint.service.exporter.support.ExportContextClassLoader

All Implemented Interfaces:
  Serializable, Comparable, org.springframework.core.enums.LabeledEnum

Deprecated. As of Spring DM 2.0, replaced by `ExportContextClassLoaderEnum`

    public class ExportContextClassLoader

extends org.springframework.core.enums.StaticLabeledEnum

Enum-like class for the exporter thread context-classLoader (TCCL) management options.

Used by `OsgiServiceFactoryBean` for exported services that depend on certain TCCL to be set.

Author:
  Costin Leau
See Also:
  Serialized Form

Field Summary
`static ExportContextClassLoader` | `SERVICE_PROVIDER` Deprecated. The TCCL will be set to the service provider upon service invocation.
`static ExportContextClassLoader` | `UNMANAGED` Deprecated. The TCCL will not be managed upon service invocation.

Fields inherited from interface org.springframework.core.enums.LabeledEnum
`CODE_ORDER, DEFAULT_ORDER, LABEL_ORDER`

Method Summary

Methods inherited from class org.springframework.core.enums.StaticLabeledEnum
`getCode, getLabel, readResolve, shortValue`

Methods inherited from class org.springframework.core.enums.AbstractLabeledEnum
`compareTo, equals, getType, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### UNMANAGED

    public static final ExportContextClassLoader UNMANAGED

  Deprecated.
  The TCCL will not be managed upon service invocation.

### SERVICE_PROVIDER

    public static final ExportContextClassLoader SERVICE_PROVIDER

  Deprecated.
  The TCCL will be set to the service provider upon service invocation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2012. All Rights Reserved.